Welcome, Guest. Please Login
YaBB - Yet another Bulletin Board
 
  HomeHelpSearchLogin  
 
Hyphy install trouble on mac osx 10.5.8...what am i doing wrong? (Read 12330 times)
unchosenuserid
YaBB Newbies
*
Offline


Curious HyPhy user

Posts: 1
Hyphy install trouble on mac osx 10.5.8...what am i doing wrong?
Jan 10th, 2013 at 3:09pm
 
I was attempting to install Hyphy on my Mac laptop the other day when I encountered some problems. My Mac operating system is 10.5.8. The download from Hyphy.org  for the Mac OSX installed but immediately crashed when I double clicked the icon. The program would not open.
      I then attempted the Linux, Unix, OSX command line version but encountered problems during the install. When I reached the third step and I used LIB as the "target" (the method of GTK installation escaped me) which apparently ran to completion. However, when I then executed "make install" it gave me an error message saying

$ make install
Install the project...
-- Install configuration: ""
CMake Error at cmake_install.cmake:31 (FILE):
  file cannot create directory: /usr/local/lib/hyphy.  Maybe need
  administrative privileges.


make: *** [install] Error 1


I am an administrator user on my laptop. All of these commands were executed from a terminal shell within the hyphy master folder while it was sitting on my desktop. Can you spot what I've done wrong and suggest a fix?
Back to top
 
 
IP Logged
 
Sergei
YaBB Administrator
*****
Offline


Datamonkeys are forever...

Posts: 1658
UCSD
Gender: male
Re: Hyphy install trouble on mac osx 10.5.8...what am i doing wrong?
Reply #1 - Jan 10th, 2013 at 5:08pm
 
Hi there,

HyPhy GUI will only run for OS X.6 or later, I am afraid. You should be able to install the command line version if you type in 'sudo make install'.

Sergei
Back to top
 

Associate Professor
Division of Infectious Diseases
Division of Biomedical Informatics
School of Medicine
University of California San Diego
WWW WWW  
IP Logged